package cat.pepweb.pep;

import java.util.ArrayList;

import cat.pepweb.pep.serveis.ServeiComentari;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class Comentari extends Activity {

	private static Comentari comentari;
	private EditText comentari_conductor;
	private EditText id;
	private EditText punts;
	private Button enviar;
	private Button tornar;



	public static Comentari getInstance(){ //Per els toast.
		return comentari;
	}

	/** Called when the activity is first created. */
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.comentari_conductor);
		comentari = this;

		comentari_conductor = (EditText)findViewById(R.id.comentari_conductor);
		id = (EditText) findViewById(R.id.id1);
		punts = (EditText) findViewById(R.id.punts);
		tornar = (Button) findViewById(R.id.sortir_comentari);
		enviar = (Button) findViewById(R.id.guardar_comentari);

		//Capturem i tractem la pulsaci del bot enviar comentari.

		enviar.setOnClickListener(new OnClickListener(){
			public void onClick(View view){
				//enviar.setBackgroundColor(Color.rgb(153, 204, 0));

				enviarComentari(view); //Cridem el mtode que gestiona l'acci.


			}
		});

		//Capturem i tractem la pulsaci del bot tornar a opcions.

		tornar.setOnClickListener(new OnClickListener(){
			public void onClick(View view){
				//tornar.setBackgroundColor(Color.rgb(153, 204, 0));
				tornarOpcions(view); //Cridem el mtode que gestiona l'acci.
			}
		});

	}
	/**
	 * Mtode que prepara les dades entrades per l'usuari i gestiona
	 * l'enviament d'aquestes per guardar-les.
	 * @param view
	 */
	private void enviarComentari(View view){

		ArrayList<String> comentari = new ArrayList<String>();
		//Afegim la informaci per enviar dintre de la llista.
		comentari.add("id");
		comentari.add(id.getText().toString());
		comentari.add("comentari");
		comentari.add(comentari_conductor.getText().toString());
		comentari.add("puntuacio");
		comentari.add(punts.getText().toString());
		comentari.add("tasca");
		comentari.add("comentari");

		if(!(id.getText().toString().equals("")) && !(punts.getText().
				toString().equals("")) && !(comentari_conductor.getText().
						toString().equals(""))){

			ServeiComentari.accioComentari(comentari);//Enviem la informaci.
		}else{

			//Notifiquem que les dades no s'han omplert.
			Toast.makeText(Comentari.getInstance().getBaseContext(),"" +
					"Tots els camps sn obligatoris." ,
					Toast.LENGTH_SHORT).show();
		}


	}
	/**
	 * Finalitzaci de l'activitat.
	 * @param view
	 */
	private void tornarOpcions(View view){

		//Opcions.comentari.setBackgroundColor(Color.rgb(215, 74, 6));
		
		finish();

	}

}
