package cat.pepweb.pep;

import java.util.Vector;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.Button;
import android.widget.ListView;

import cat.pepweb.pep.beans.Trajecte;
import cat.pepweb.pep.eines.Adaptador;




public class LlistatTrajectes extends Activity {
	public static Vector<Trajecte> llistaTrajectes = new Vector<Trajecte>(); //Llista amb els trajectes.
	private Adaptador adaptador;//Generem una instncia de la classe Adaptador.
	private static LlistatTrajectes llistatTrajectes;
	public static Vector<Bitmap> llistaImatges = new Vector<Bitmap>();//Generem un llista d'imatges que en aquesta ocasi no fem servir per potser ms endavant si.
	public static Vector<Drawable> llistaDrawable = new Vector<Drawable>();
	private Button sortir;

	public static LlistatTrajectes getInstance(){

		return llistatTrajectes;
	}
	/**
	 * 
	 */
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.llista_trajectes);
		llistatTrajectes = this;


		ListView lv = (ListView)findViewById(R.id.llist_trajectes);//Recuperem el ListView del layout.
		adaptador = new Adaptador(this, R.layout.element_llista, llistaTrajectes, llistaImatges);//Generem una instncia de Adaptador amb els nostres parmetres.
		lv.setAdapter(adaptador);

		//Capturem l'tem seleccionat de la llista.
		lv.setOnItemClickListener(new OnItemClickListener() {
			@Override
			public void onItemClick(AdapterView<?> parent, View view, int position,
					long id) {

				long item = parent.getItemIdAtPosition(position);
				mostrar(item);

			}

		});
		//Capturem la pulsaci del bot sortir.
		sortir = (Button)findViewById(R.id.sortir_llistat);
		sortir.setOnClickListener(new OnClickListener(){
			public void onClick(View view){
				llistaTrajectes.clear();//Buidem la llista d'ofertes al sortir.
				llistaImatges.clear();//Buidem la llista d'imatges al sortir.
				//Opcions.llisTrajecte.setBackgroundColor(Color.rgb(6, 227, 62));
				//sortir.setBackgroundColor(Color.rgb(153, 204, 00));
				finish(); //Finalitzem l'acci.
			}
		});

	}

	/**
	 * Crida a l'activitat que mostra el trajecte seleccionat.
	 * @param item
	 */
	public void mostrar(long item){

		int item1 = (int)item;
		TrajecteSeleccionat.fotografia = llistaImatges.get(item1);
		TrajecteSeleccionat.trajecte = llistaTrajectes.get(item1);
		ModificarTrajecte.trajecte = llistaTrajectes.get(item1);
		Intent intent = new Intent(this, TrajecteSeleccionat.class);
		LlistatTrajectes.getInstance().startActivity(intent);

	}


}
