package cat.pepweb.pep;

import cat.pepweb.pep.serveis.ServeiLogin;
import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.app.Activity;
import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.os.StrictMode;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

@TargetApi(Build.VERSION_CODES.GINGERBREAD)
@SuppressLint("NewApi")
public class Login extends Activity{

	private Button enviar;
	private Button sortir;
	private EditText Email;
	private EditText Pass;

	private static Login login;

	public static Login getInstance(){
		return login;
	}

	/** Called when the activity is first created. */
	@SuppressLint("NewApi")
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.login);


		login = this;

		Email = (EditText) findViewById(R.id.Email);
		Pass = (EditText) findViewById(R.id.Pass);

		//Email.setText("pep@wert.com");
		//Pass.setText("pepe123");
		//Detectem versi de l'Android installat en el dispositiu degut a que si s major
		// a 9, es t de crear una nova regla per l'StrictMode sin no funcionaria l'aplicaci.
		if(android.os.Build.VERSION.SDK_INT > 9){
			StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
		      StrictMode.setThreadPolicy(policy);
		}

		//Capturem i tractem la pulsaci del bot enviar.
		enviar = (Button)findViewById(R.id.enviar);
		enviar.setOnClickListener(new OnClickListener(){
			public void onClick(View view){

				//enviar.setBackgroundColor(Color.rgb(153, 204, 00));//Canviem el color del bot al polsar-lo.
				activarLogin(view); //Cridem el mtode que gestiona l'acci.
			}
		});

		//Capturem la pulsaci del bot de sortir.
		sortir = (Button)findViewById(R.id.sortir_login);
		sortir.setOnClickListener(new OnClickListener(){
			public void onClick(View view){
				//sortir.setBackgroundColor(Color.rgb(153, 204, 00));//Canviem el color del bot al polsar-lo.
				//MainActivity.login.setBackgroundColor(Color.rgb(35, 166, 34));
				finish(); //Finalitzem l'acci.
			}
		});
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.login, menu);
		return true;
	}
	/**
	 * Cridem el mtode accioLogin de la classe ServeiLogin i li passem el email i contrasenya
	 * que hem recollit de la vista en la qual  l'usuari ha omplert els dos camps.
	 * @param view
	 */

	public void activarLogin(View view) {


		int result = ServeiLogin.accioLogin(Email.getText().toString(), Pass.getText().toString());
		if (result == 1){ //Finalitzem activitat i arranquem la d'opcions.
			Intent i = new Intent(this, Opcions.class);
			startActivity(i);
			finish();
		}

	}

}
