package cat.pepweb.pep.eines;

import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicNameValuePair;

import android.util.Log;


public class Post {

	public static ArrayList<String> parametres = new ArrayList<String>();

	/*
	 * Mtode que establir la connexi en el web service i gestionar tota
	 * l'operaci que es porti a terme. Retornar un resultat (enter) que prov
	 * del web service i que indica el resultat de l'operaci sollicitada. 
	 */
	public  int connectaPost(ArrayList<String> parametres) {
		ArrayList<BasicNameValuePair> nameValuePairs;
		InputStream content = null;
		StringBuilder builder = new StringBuilder();


		//Preparaci de la connexi i de les dades que s'han d'enviar.
		try {
			HttpClient httpclient = new DefaultHttpClient();
			HttpPost httppost = new HttpPost("http://www.pepweb.cat:8888/WebServicePfc/Controlador");
			nameValuePairs = new ArrayList<BasicNameValuePair>();
			if (parametres != null) {//Formem parells clau / valor.
				for (int i = 0; i < parametres.size(); i += 2) {
					nameValuePairs.add(new BasicNameValuePair
							((String)parametres.get(i), (String)parametres.get(i + 1)));
				}
				httppost.setEntity(new UrlEncodedFormEntity(nameValuePairs));
			}//S'executa la connexi i s'espera la resposta.
			HttpResponse response = httpclient.execute(httppost);
			HttpEntity entity = response.getEntity();
			content = entity.getContent();//El passem a un InputStream.
			BufferedReader reader = new BufferedReader(new InputStreamReader(content));
			//Passem la resposta unificada en un String. 
			String line;
			while ((line = reader.readLine()) != null) {
				builder.append(line);
			}
			content.close();//Ens assegurem que quedi tancada la connexi.

		} catch (Exception e) {
			Log.e("log_tag", "Error in http connection " + e.toString());
		} finally {

		}

		String resultat = builder.toString();
		int result = Integer.parseInt(resultat);
		Log.e("Usuari: ", resultat );//Imprimim l'objecte que ens arriba en el log
		return result;
	}



}
