package cat.pepweb.pep.serveis;

import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicNameValuePair;

import cat.pepweb.pep.Registre;

import android.util.Log;
import android.widget.Toast;

public class ServeiRegistre {

	String nom;
	String cognoms;
	String e_mail;
	String telefon;
	String contrasenya;
	int anyNaixement;
	boolean sexe;
	boolean telefonPublic;
	boolean e_mailPublic;


	public static int conectaPost(ArrayList<String> parametros) {
		ArrayList<BasicNameValuePair> nameValuePairs;
		InputStream content = null;
		StringBuilder builder = new StringBuilder();

		try {
			HttpClient httpclient = new DefaultHttpClient();
			HttpPost httppost = new HttpPost("http://www.pepweb.cat:8888/WebServicePfc/Controlador");
			nameValuePairs = new ArrayList<BasicNameValuePair>();
			if (parametros != null) {
				for (int i = 0; i < parametros.size(); i += 2) {
					nameValuePairs.add(new BasicNameValuePair((String)parametros.get(i), (String)parametros.get(i + 1)));
				}
				httppost.setEntity(new UrlEncodedFormEntity(nameValuePairs));
			}
			HttpResponse response = httpclient.execute(httppost);
			HttpEntity entity = response.getEntity();
			content = entity.getContent();//El passem a un InputStream.
			BufferedReader reader = new BufferedReader(new InputStreamReader(content));
			//Passem la resposta unificada en un String. 
			String line;
			while ((line = reader.readLine()) != null) {
				builder.append(line);
			}try{
				content.close();//Ens assegurem que quedi tancada la connexi.
			}catch(Exception e){
				//Notifiquem error en la recepci de les dades.
				Toast.makeText(Registre.getInstance().getBaseContext(),"" +
						"S'ha produit un error de comunicaci", 
						Toast.LENGTH_SHORT).show();
			}

		} catch (Exception e) {
			Log.e("log_tag", "Error in http connection " + e.toString());
		} finally {

		}

		String resultat = builder.toString();
		int result = Integer.parseInt(resultat);
		//Log.e("Usuari: ", resultat );//Imprimim l'objecte que ens arriba en el log
		return result;
	}

}
