package cat.pepweb.pep.negoci;

import java.util.ArrayList;


import cat.pepweb.pep.beans.Ruta;
import cat.pepweb.pep.jdbc.OperacionsRuta;

public class CercarPunts {

	/**
	 * Amb aquest mtode retornem els punts d'una ruta com a double.
	 * @param origen
	 * @param destinacio
	 * @return
	 */
	public ArrayList<Double> cercarPunts(String origen, String destinacio){

		ArrayList<Double> punts = new ArrayList<Double>();
		
		//ArrayList<GeoPoint> geopoint = new ArrayList<GeoPoint>();
		OperacionsRuta opRuta = new OperacionsRuta();
		Ruta ruta = new Ruta();
		ruta = opRuta.llegirRuta(origen, destinacio);//Cerquem la ruta.
		String puntsRuta = ruta.getPunts();//Prenem l'String de punts.
		if(puntsRuta != null){
		String[] pts;//Transformem els punts String a double.
		pts=puntsRuta.split(",");
		for(int i=0; i<pts.length;i++){
			punts.add(Double.valueOf(pts[i]));

		}
		}
		/*GeoPoint[] gp = new GeoPoint[pts.length/2];
		int index = 0;
		for(int i=0; i<pts.length;i+=2){

			gp[index] = new GeoPoint(Double.valueOf(punts.get(i)),
					Double.valueOf(punts.get(i+1)));
			geopoint.add(gp[index]);
			index = index + 1;

			}*/



		return punts;
	}

}
