package cat.pepweb.pep;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class MainActivity extends Activity {

	public static Button registre;
	public static Button login;
	private Button sortir;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		//Capturem i tractem la pulsaci del bot registrar-se.
		registre = (Button)findViewById(R.id.registre_inici);
		registre.setOnClickListener(new OnClickListener(){
			public void onClick(View view){
				activarRegistre(view); //Cridem el mtodo que gestiona l'acci.
			}
		});

		//Capturem i tractem la pulsaci del bot login.
		login = (Button)findViewById(R.id.login);
		login.setOnClickListener(new OnClickListener(){
			public void onClick(View view){

				activarLogin();

			}
		});
		//Capturem i tractem la pulsaci del bot sortir.
		sortir = (Button)findViewById(R.id.sortir_inici);
		sortir.setOnClickListener(new OnClickListener(){
			public void onClick(View view){
				//sortir.setBackgroundColor(Color.rgb(153, 204, 00));//Canviem el color del bot en polsar-lo.
				activarSortir(); //Cridem el mtode que gestiona l'acci.

			}
		});


	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}




	/**
	 * Arranquem l'activitat que ens permetr registrar-nos en el sistema.
	 * @param view
	 */
	public void activarRegistre(View view){


		//registre.setBackgroundColor(Color.rgb(153,204,0));
		Intent i = new Intent(this, Registre.class);
		startActivity(i);
	}

	/**
	 * Arranquem l'activitat login que ens proporciona la funcionalitat d'autentificar-nos
	 * en el sistema.
	 * @param view
	 */
	public void activarLogin(){

		//login.setBackgroundColor(Color.rgb(153,204,0));
		Intent i = new Intent(this, Login.class);
		startActivity(i);

	}

	/**
	 * Sortim de l'aplicaci degut a que s'ha polsat el bot sortir.
	 */
	public void activarSortir(){

		this.finish();
		this.onDestroy();
	}


}
