package cat.pepweb.pep.beans;

public class Trajecte {

	String origen;
	String destinacio;
	String data;
	String model_cotxe;
	String mida_equipatge;
	String e_mail;
	int id;
	int hora;
	int minut;
	int places;
	int distancia;
	int temps;
	double preu;
	boolean permes_fumar;
	boolean radio_mp3;


	public Trajecte() {

	}


	public Trajecte(String origen, String destinacio, String data,
			String model_cotxe, String mida_equipatge, String e_mail, int id,
			int hora, int minut, int places, int distancia, int temps,
			double preu, boolean permes_fumar, boolean radio_mp3) {
		this.origen = origen;
		this.destinacio = destinacio;
		this.data = data;
		this.model_cotxe = model_cotxe;
		this.mida_equipatge = mida_equipatge;
		this.e_mail = e_mail;
		this.id = id;
		this.hora = hora;
		this.minut = minut;
		this.places = places;
		this.distancia = distancia;
		this.temps = temps;
		this.preu = preu;
		this.permes_fumar = permes_fumar;
		this.radio_mp3 = radio_mp3;
	}


	public String getOrigen() {
		return origen;
	}


	public void setOrigen(String origen) {
		this.origen = origen;
	}


	public String getDestinacio() {
		return destinacio;
	}


	public void setDestinacio(String destinacio) {
		this.destinacio = destinacio;
	}


	public String getData() {
		return data;
	}


	public void setData(String data) {
		this.data = data;
	}


	public String getModel_cotxe() {
		return model_cotxe;
	}


	public void setModel_cotxe(String model_cotxe) {
		this.model_cotxe = model_cotxe;
	}


	public String getMida_equipatge() {
		return mida_equipatge;
	}


	public void setMida_equipatge(String mida_equipatge) {
		this.mida_equipatge = mida_equipatge;
	}


	public String getE_mail() {
		return e_mail;
	}


	public void setE_mail(String e_mail) {
		this.e_mail = e_mail;
	}


	public int getId() {
		return id;
	}


	public void setId(int id) {
		this.id = id;
	}


	public int getHora() {
		return hora;
	}


	public void setHora(int hora) {
		this.hora = hora;
	}


	public int getMinut() {
		return minut;
	}


	public void setMinut(int minut) {
		this.minut = minut;
	}


	public int getPlaces() {
		return places;
	}


	public void setPlaces(int places) {
		this.places = places;
	}


	public int getDistancia() {
		return distancia;
	}


	public void setDistancia(int distancia) {
		this.distancia = distancia;
	}


	public int getTemps() {
		return temps;
	}


	public void setTemps(int temps) {
		this.temps = temps;
	}


	public double getPreu() {
		return preu;
	}


	public void setPreu(double preu) {
		this.preu = preu;
	}


	public boolean isPermes_fumar() {
		return permes_fumar;
	}


	public void setPermes_fumar(boolean permes_fumar) {
		this.permes_fumar = permes_fumar;
	}


	public boolean isRadio_mp3() {
		return radio_mp3;
	}


	public void setRadio_mp3(boolean radio_mp3) {
		this.radio_mp3 = radio_mp3;
	}


	@Override
	public String toString() {
		return "          Origen: " + origen + "\n\n"+ "          Destinaci: " + 
				destinacio + "\n\n" + "          Data: " + data + "\n\n"+"          Hora: " + 
				hora + "\n\n"+"          Minut: " + minut+ "\n\n" +"          Places: " + places;

	}
	/**
	 * Format llistar trajectes.
	 * @return
	 */
	public String toString2() {

		String fumar;
		String radio;
		if ((String.valueOf(permes_fumar)).equals("true")){
			fumar = "si";
		}else{
			fumar ="no";
		}
		if ((String.valueOf(radio_mp3)).equals("true")){
			radio = "si";
		}else{
			radio ="no";
		}



		return "          Origen: " + origen + "\n" + "          Destinacio: " 
		+ destinacio + "\n" + "          Data: " + data + "\n"+"          Model_cotxe: " + 
		model_cotxe + "\n" + "          Mida equipatge: "+mida_equipatge+"\n"
		+ "          e_mail: " + e_mail + "\n"+ "          Hora: " + hora +
		"\n"+ "          Minut: " + minut + "\n" + "          Places: " + 
		places + "\n" + "          Preu=" + preu + "\n"+ "          Permes " +
		"fumar: " + fumar + "\n"+"          Radio_mp3: " + radio;
	}

	/**
	 * Format mostrar trajecte seleccionat.
	 * @return
	 */
	public String toString3() {

		String fumar;
		String radio;
		String temps1;
		String distancia1;
		if ((String.valueOf(permes_fumar)).equals("true")){
			fumar = "si";
		}else{
			fumar ="no";
		}
		if ((String.valueOf(radio_mp3)).equals("true")){
			radio = "si";
		}else{
			radio ="no";
		}
		if(temps == 0){
			temps1 = "Desconegut";
		}else{
			double th = temps/3600;
			temps1 = String.valueOf(th) + " hores";
		}
		if(distancia == 0){
			distancia1 = "Desconeguda";
		}else{
			double dk = distancia/1000;
			distancia1 = String.valueOf(dk)+ " Km";
		}


		return "          Origen: " + origen + "\n" + "          Destinacio: " 
		+ destinacio + "\n" + "Data: " + data +"     Hora: " + 
		hora + "     Minut: "+minut+"\n"
		+ "          Model cotxe: " + model_cotxe +
		"\n"+ "          Mida equipatge: " + mida_equipatge + "\n" + "          Preu=" + preu + "\n"+ "          Permes " +
		"fumar: " + fumar + "\n"+"          Radio_mp3: " + radio + "\n"+
		"          id: " + id + "\n" + "          Distncia: " + distancia1 + "\n" +
		"          Temps estimat: " + temps1;
	}





}
