package cat.pepweb.pep.serveis;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.StatusLine;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;

import cat.pepweb.pep.TrajecteSeleccionat;

import android.util.Log;
import android.widget.Toast;

public class ServeiEsborrar {

	/**
	 * Amb aquest mtode enviem l'id per l'acci esborrar en el web service i si
	 * tot ha anat b, el web service retorna un 1.
	 * @param user
	 * @param pass
	 */
	public static int accioEsborrar(int id){

		StringBuilder builder = new StringBuilder();
		HttpClient client = new DefaultHttpClient();
		String idTrajecte = String.valueOf(id);
		HttpGet httpGet = new HttpGet("http://www.pepweb.cat:8888/WebServicePfc/Controlador?tasca=esborrar&id="+idTrajecte);
		InputStream content = null;

		try {
			HttpResponse response = client.execute(httpGet);//Crida al web service.

			StatusLine statusLine = response.getStatusLine();//Estat de la petici.

			int statusCode = statusLine.getStatusCode();
			
			//Amb codi 200 el servidor ha respost.
			if (statusCode == 200) {
				HttpEntity entity = response.getEntity();//Recollim l'objecte.
				content = entity.getContent();//El passem a un BafferReader.
				BufferedReader reader = new BufferedReader(new InputStreamReader(content));
				//Passem la resposta unificada en un String. 
				String line;
				while ((line = reader.readLine()) != null) {
					builder.append(line);
				}
			} else {
				Log.e("","Failed to download data");
			}
			try{
				content.close();//Ens assegurem que quedi tancada la connexi.
			}catch(Exception e){
				//Notifiquem error en la recepci de les dades.
				Toast.makeText(TrajecteSeleccionat.getInstance().getBaseContext(),"" +
						"S'ha produit un error de comunicaci", 
						Toast.LENGTH_SHORT).show();
			}
		} catch (ClientProtocolException e) {
			e.printStackTrace();
			return 0;
		} catch (IOException e) {
			e.printStackTrace();
			return 0;
		}

		String result = builder.toString();
		int resultat = 0;
		try{
			resultat = Integer.parseInt(result);

		}catch(Exception e){

		}
		return resultat;


	}
}
