package cat.pepweb.pep.jdbc;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import cat.pepweb.pep.beans.Usuari;

public class OperacioLogin extends Connexio{

	private static final String LLEGIR_REGISTRE	="SELECT * FROM registre WHERE e_mail=? AND contrasenya=?;";
	private PreparedStatement ps=null;

	/**
	 * Mtode que ens retorna les dades d'un usuari.
	 * @param e_mail
	 * @param contrasenya
	 * @return
	 */
	public Usuari llegirRegistreUsuari(String e_mail, String contrasenya) {

		Connection con;
		con = obrirConnexio();
		Usuari user = new Usuari();
		try {

			ps = con.prepareStatement(LLEGIR_REGISTRE);
			ps.setString(1, e_mail);
			ps.setString(2, contrasenya);
			ResultSet rs = ps.executeQuery();
			while(rs.next()){

				user.setId(rs.getInt("id"));
				user.setNom(rs.getString("nom"));
				user.setCognoms(rs.getString("cognoms"));
				user.setE_mail(rs.getString("e_mail"));
				user.setAnyNaixement(rs.getInt("any_naixement"));
				user.setTelefon(rs.getString("telefon"));
				user.setContrasenya(rs.getString("contrasenya"));
				user.setSexe(rs.getBoolean("sexe"));
				user.setTelefonPublic(rs.getBoolean("telefon_public"));
				user.setE_mailPublic(rs.getBoolean("e_mail_public"));

			}
		} catch (SQLException e) {
			e.printStackTrace();}
		tancarConnexio();
		return user;
	}


}
