package cat.pepweb.pep.negoci;

import cat.pepweb.pep.beans.Trajectes;
import cat.pepweb.pep.jdbc.OperacionsTrajectesUsuari;

public class ModificarTrajecte {

	/**
	 * Mtode que  permet modificar el trajecte d'un usuari. Es fa s de
	 *  la classe Operacions TrajectesUsuari i es crida al mtode de 
	 *  actualitzar Trajecte. Se li envia el trajecte que ha arribat 
	 *  modificat per el usuari.
	 * @param id
	 * @param origen
	 * @param destinacio
	 * @param data
	 * @param hora
	 * @param minut
	 * @param model_cotxe
	 * @param places
	 * @param preu
	 * @param mida_equipatge
	 * @param e_mail
	 * @param permes_fumar
	 * @param radio_mp3
	 * @param distancia
	 * @param temps
	 * @return
	 */
	public int modificarTrajecte(int id, String origen, String destinacio, String data, int hora,
			int minut, String model_cotxe, int places, double preu, String mida_equipatge, 
			String e_mail, boolean permes_fumar, boolean radio_mp3, int distancia, int temps){

		Trajectes trajecte = new Trajectes(origen, destinacio, data, hora, minut, model_cotxe, places, 
				preu, mida_equipatge, e_mail, permes_fumar, radio_mp3);

		trajecte.setId(id);
		trajecte.setDistancia(distancia);
		trajecte.setTemps(temps);

		//Actualitzem trajecte.

		OperacionsTrajectesUsuari opTrUsu = new OperacionsTrajectesUsuari();
		int result = opTrUsu.actualitzarTrajecte(trajecte);




		return result;
	}

}
