package cat.pepweb.pep.negoci;

import cat.pepweb.pep.beans.Usuari;
import cat.pepweb.pep.jdbc.OperacionsRegistreUsuari;

public class Registre {


	/**
	 * Mtode que gestiona el registre d'un nou usuari obtenint com a
	 * resultat un usuari no amb les seves dades guardades a la base
	 * de dades.
	 * @param nouUsuari
	 * @return
	 */
	public int registrarUsuari(Usuari nouUsuari){

		String e_mail = nouUsuari.getE_mail();
		OperacionsRegistreUsuari opReUs = new OperacionsRegistreUsuari();
		if((opReUs.llegirRegistreUsuari(e_mail)).getE_mail()!=null){

			return 0;
		}else{
			int resultat = opReUs.crearRegistreUsuari(nouUsuari);

			if(resultat != 0){

				return 1;
			}
		}

		return 2;
	}

}
