package cat.pepweb.pep.utilitats;



import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;




public class GestioDates {

	/**
	 * Mtode per a passar un String a format sqlDate.
	 * @param data
	 * @return
	 */
	public java.sql.Date retornaStringComSqlData(String data){

		java.sql.Date sqlDate = null;

		//Transformem la data dd/MM/yyyy a yyyy/MM/dd.
		String dataFormatCorrecte;
		String aux;
		aux = data.substring(6);
		dataFormatCorrecte = aux + "/";
		aux = data.substring(3, 6);
		dataFormatCorrecte = dataFormatCorrecte + aux;
		aux = data.substring(0, 2);
		dataFormatCorrecte = dataFormatCorrecte + aux;
		//Passem l'String a sqlDate.
		try {
			SimpleDateFormat format = new SimpleDateFormat("yyyy/MM/dd");
			java.util.Date utilDate = format.parse(dataFormatCorrecte);
			sqlDate = new java.sql.Date(utilDate.getTime());
			//System.out.println("date:" + dataFormatCorrecte );
			//System.out.println("sqlDate:" + sqlDate);
		} catch (ParseException e) {
			System.out.println(e.toString());
			e.printStackTrace();
		}
		return sqlDate;
	}
	/**
	 * Mtode per a passar una data amb format sql a String.
	 * @param data
	 * @return
	 */
	public String pasarDateAString(java.sql.Date data){

		DateFormat df = new SimpleDateFormat("dd/MM/yyyy");
		String dataText = df.format(data);
		//System.out.println(dataText);
		return dataText;
	}
	
	/**
	 * Mytode que retorna la data actual amb format sql.
	 */
	public java.sql.Date retornaDataActualComSqlData(){
		
		java.util.Date data = new java.util.Date(); 
		java.text.SimpleDateFormat sdf=new java.text.SimpleDateFormat("dd/MM/yyyy");
		String data1 = sdf.format(data);
		java.sql.Date dataActual = retornaStringComSqlData(data1);
		
		return dataActual;
	
	}

}
